xgboost

Public Types | Public Member Functions | Static Public Member Functions | List of all members
xgboost::common::WXQSummary< DType, RType > Struct Template Reference

try to do efficient pruning More...

`#include <quantile.h>`

Inheritance diagram for xgboost::common::WXQSummary< DType, RType >:
Collaboration diagram for xgboost::common::WXQSummary< DType, RType >:

## Public Types
using | Entry = typename WQSummary< DType, RType >::Entry

## Public Member Functions
| WXQSummary (Entry *data, size_t size)
void | SetPrune (const WQSummary< DType, RType > &src, size_t maxsize)
Public Member Functions inherited from xgboost::common::WQSummary< DType, RType >
| WQSummary (Entry *data, size_t size)
RType | MaxError () const
Entry | Query (DType qvalue, size_t &istart) const
| query qvalue, start from istart More...
RType | MaxRank () const
void | CopyFrom (const WQSummary &src)
| copy content from src More...
void | MakeFromSorted (const Entry *entries, size_t n)
void | CheckValid (RType eps) const
| debug function, validate whether the summary run consistency check to check if it is a valid summary More...
void | SetPrune (const WQSummary &src, size_t maxsize)
| set current summary to be pruned summary of src assume data field is already allocated to be at least maxsize More...
void | SetCombine (const WQSummary &sa, const WQSummary &sb)
| set current summary to be merged summary of sa and sb More...
void | Print () const
void | FixError (RType *err_mingap, RType *err_maxgap, RType *err_wgap) const
bool | Check (const char *msg) const

## Static Public Member Functions
static bool | CheckLarge (const Entry &e, RType chunk)

## Additional Inherited Members
Public Attributes inherited from xgboost::common::WQSummary< DType, RType >
Entry * | data
| data field More...
size_t | size
| number of elements in the summary More...

## Detailed Description

### template<typename DType, typename RType>
struct xgboost::common::WXQSummary< DType, RType >

try to do efficient pruning

## Member Typedef Documentation

## ◆ Entry

template<typename DType , typename RType >

using xgboost::common::WXQSummary< DType, RType >::Entry = typename WQSummary<DType, RType>::Entry

## Constructor & Destructor Documentation

## ◆ WXQSummary()

template<typename DType , typename RType >

xgboost::common::WXQSummary< DType, RType >::WXQSummary | ( | Entry * | data,
|  | size_t | size
| ) |  |
| inline

## Member Function Documentation

## ◆ CheckLarge()

template<typename DType , typename RType >

static bool xgboost::common::WXQSummary< DType, RType >::CheckLarge | ( | const Entry & | e,
|  | RType | chunk
| ) |  |
| inline static

## ◆ SetPrune()

template<typename DType , typename RType >

void xgboost::common::WXQSummary< DType, RType >::SetPrune | ( | const WQSummary< DType, RType > & | src,
|  | size_t | maxsize
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/quantile.h